SCANBD daemon crashes when usb scanner plugged.

Bug #1500095 reported by Olivier Rouits on 2015-09-26
34
This bug affects 6 people
Affects Status Importance Assigned to Milestone
scanbd (Ubuntu)
Medium
Rolf Leggewie

Bug Description

same as this ticket
http://sourceforge.net/p/scanbd/tickets/2/

with an old USB scanner: EPSON 1240U photo.

Olivier Rouits (olivier-rouits) wrote :

in syslog:

kernel: [ 1991.322552] usb 6-1: new full-speed USB device number 3 using ohci-pci
kernel: [ 1991.489112] usb 6-1: New USB device found, idVendor=04b8, idProduct=010b
kernel: [ 1991.489131] usb 6-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
kernel: [ 1991.489140] usb 6-1: Product: Perfection1240
kernel: [ 1991.489148] usb 6-1: Manufacturer: EPSON
kernel: [ 1991.545908] show_signal_msg: 39 callbacks suppressed
kernel: [ 1991.545929] scanbd[3696]: segfault at 7fb8f5a4212c ip 00007fb8f5a4212c sp 00007fb8f5a31ed0 error 14 in libnss_files-2.21.so[7fb8f6167000+c000]
systemd[1]: scanbd.service: main process exited, code=killed, status=11/SEGV
systemd[1]: Unit scanbd.service entered failed state.
systemd[1]: scanbd.service failed.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in scanbd (Ubuntu):
status: New → Confirmed
L-Train (so1dieroffortune) wrote :

I've been experiencing the exact same issue ever since scanbd replaced scanbuttond. My scanner is fujitsu fi-6130. New Ubuntu releases and scanbd releases have not made it go away. I just reproduced it in Ubuntu 15.10 with scanbd 1.4.1-7.

Vladimir Botka (vbotka-9) wrote :

Same problem with scanbd 1.4.1-7 and 15.10..

scanbd segfault after the scanner was attached.

Nov 28 18:38:17 planb kernel: [371521.561547] usb 2-1.1: new high-speed USB device number 19 using ehci-pci
Nov 28 18:38:17 planb kernel: [371521.656143] usb 2-1.1: New USB device found, idVendor=055f, idProduct=0409
Nov 28 18:38:17 planb kernel: [371521.656156] usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Nov 28 18:38:17 planb kernel: [371521.656163] usb 2-1.1: Product: USB2.0 Scanner
Nov 28 18:38:17 planb kernel: [371521.656168] usb 2-1.1: Manufacturer: Hewlett-Packard.
Nov 28 18:38:18 planb colord[950]: (colord:950): Cd-WARNING **: CdMain: failed to emit DeviceAdded: failed to register object: An object is already exported for the interface org.freedesktop.ColorManager.Device at /org/freedesktop/ColorManager/devices/sysfs_Hewlett_Packard__USB2_0_Scanner
Nov 28 18:38:18 planb kernel: [371522.275043] scanbd[24017]: segfault at b70937a0 ip b70937a0 sp b688f2ec error 14
Nov 28 18:38:18 planb kernel: [371522.275057] scanbd[23944]: segfault at b70935e0 ip b70935e0 sp b70902ec error 14 in libnss_files-2.21.so[b7113000+c000]
Nov 28 18:38:18 planb kernel: [371522.275210] in libnss_files-2.21.so[b7113000+c000]
Nov 28 18:38:18 planb systemd[1]: scanbd.service: Main process exited, code=killed, status=11/SEGV
Nov 28 18:38:18 planb systemd[1]: scanbd.service: Unit entered failed state.
Nov 28 18:38:18 planb systemd[1]: scanbd.service: Failed with result 'signal'.

# uname -a
Linux planb 4.2.4-040204-generic #201510261009 SMP Mon Oct 26 10:20:31 UTC 2015 i686 i686 i686 GNU/Linux

Rolf Leggewie (r0lf) on 2016-06-25
Changed in scanbd (Ubuntu):
importance: Undecided → Medium
L-Train (so1dieroffortune) wrote :

Issue still exist on the latest Ubuntu 16.10 with fujitsu fi-6130. scanbd crashes 100% of the time when the scanner gets turned on.

Francois Bissonnette (fbissonn) wrote :

Issue exist on 16.10 with Canon canoScan LIDE 50

kernel: [ 925.027534] scanbd[12647]: segfault at 7f6a795da64c ip 00007f6a795da64c sp 00007f6a795c9d90 error 14 in libnss_files-2.24.so[7f6a79d00000+b000]

systemd[1]: scanbd.service: Main process exited, code=killed, status=11/SEGV

systemd[1]: scanbd.service: Unit entered failed state.

systemd[1]: scanbd.service: Failed with result 'signal'.

systemd[1732]: Started Notification regarding a crash report.

Rolf Leggewie (r0lf) wrote :

The good news is that I was able to verify that 1.5.1 release upstream finally fixed this issue. It should arrive by the time Ubuntu 18.04 is released.

Rolf Leggewie (r0lf) wrote :

I will also make the latest version available via my LTS ppa at https://launchpad.net/~r0lf/+archive/ubuntu/stable

Changed in scanbd (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → Rolf Leggewie (r0lf)

Would adding Restart=on-failure to /lib/systemd/system/scanbd.service be a reasonable short-term fix?

Rolf Leggewie (r0lf) wrote :

I apologize for the delay in making good on my promise, I've just uploaded the latest upstream to my PPA (compiled against trusty, should work in later releases). I've also made a new upload to Debian unstable.

I do not use systemd, so I can't comment on #9 at this point.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package scanbd - 1.5.1-1

---------------
scanbd (1.5.1-1) unstable; urgency=medium

  * Imported upstream version 1.5.1
    - fix crashes when plugging in USB devices. LP: #1500095
  * patches: drop patch r214-219.patch as no longer necessary
  * copyright: update to 2017
  * control: update to Debian Standard 4.0.0

 -- Rolf Leggewie <email address hidden> Thu, 26 Oct 2017 13:38:50 +0800

Changed in scanbd (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers